# wso2wsf::MessageContext Class Reference
[MessageContext]

Class MessageContext captures all state information related to a message invocation. It holds information on the service and operation to be invoked as well as context hierarchy information related to the service and operation. It also has information on transports, that are to be used in invocation. The phase information is kept, along with the phase at which message invocation was paused as well as the handler in the phase from which the invocation is to be resumed.Message context would hold the request SOAP message along the out path and would capture response along the in path. Message context also has information on various engine specific information, such as if it should be doing MTOM, REST. As message context is inherited form context, it has the capability of storing user defined properties. In addition to the methods exposed by the MessageContex class, the underlying axis2 level message context can also be accessed if required. More...

`#include <MessageContext.h>`

List of all members.

## Public Member Functions
WSF_EXTERN | MessageContext (axis2_msg_ctx_t *_msg_ctx)
WSF_EXTERN axis2_msg_ctx_t * | getAxis2MessageContext ()
WSF_EXTERN bool | setAxis2MessageContext (axis2_msg_ctx_t *msg_ctx)
WSF_EXTERN std::string | getFaultTo ()
WSF_EXTERN std::string | getFrom ()
WSF_EXTERN bool | getInFaultFlow ()
WSF_EXTERN OMElement * | getSoapEnvelope ()
WSF_EXTERN OMElement * | getResponseSoapEnvelope ()
WSF_EXTERN OMElement * | getFaultSoapEnvelope ()
WSF_EXTERN std::string | getMessageId ()
WSF_EXTERN std::string | getReplyTo ()
WSF_EXTERN bool | getProcessFault ()
WSF_EXTERN bool | getServerSide ()
WSF_EXTERN std::string | getTo ()
WSF_EXTERN bool | setFaultTo (std::string toUri)
WSF_EXTERN bool | setFrom (std::string fromUri)
WSF_EXTERN bool | setInFaultFlow (bool inFault)
WSF_EXTERN bool | setReplyTo (std::string replyToUri)
WSF_EXTERN bool | setServerSide (bool serverSide)
WSF_EXTERN bool | setTo (std::string toUri)
WSF_EXTERN bool | getNewThreadRequired ()
WSF_EXTERN bool | setNewThreadRequired (bool newThreadRequired)
WSF_EXTERN bool | setWSAAction (std::string actionUri)
WSF_EXTERN std::string | getWSAAction ()
WSF_EXTERN bool | setWSAMessageId (std::string messageId)
WSF_EXTERN std::string | getWSAMessageId ()
WSF_EXTERN bool | getPaused ()
WSF_EXTERN bool | setPaused (bool paused)
WSF_EXTERN bool | isKeepAlive ()
WSF_EXTERN bool | setKeepAlive (bool keepAlive)
WSF_EXTERN bool | getOutputWritten ()
WSF_EXTERN bool | setOutputWritten (bool outputWritten)
WSF_EXTERN std::string | getRestHTTPMethod ()
WSF_EXTERN axis2_status_t | setRESTHTTPMethod (std::string HTTPMethod)
WSF_EXTERN Parameter * | getParameter (std::string key)
WSF_EXTERN Property * | getProperty (std::string key)
WSF_EXTERN void * | getPropertyValue (std::string propStr)
WSF_EXTERN bool | setProperty (std::string key, std::string value)
WSF_EXTERN std::string | getPausedHandlerName ()
WSF_EXTERN std::string | getPausedPhaseName ()
WSF_EXTERN bool | setPausedPhaseName (std::string pausedPhaseName)
WSF_EXTERN std::string | getSOAPAction ()
WSF_EXTERN bool | setSOAPAction (std::string action)
WSF_EXTERN bool | getDoingMTOM ()
WSF_EXTERN bool | setDoingMTOM (bool doingMTOM)
WSF_EXTERN bool | getDoingREST ()
WSF_EXTERN bool | setDoingREST (bool doingREST)
WSF_EXTERN bool | setDoRESTThroughPOST (bool doRESTThroughPost)
WSF_EXTERN bool | getDoRESTThroughPOST ()
WSF_EXTERN bool | getManageSession ()
WSF_EXTERN bool | setManageSession (bool manageSession)
WSF_EXTERN bool | getIsSOAP11 ()
WSF_EXTERN bool | setIsSOAP11 (bool isSOAP11)
WSF_EXTERN Options * | getOptions ()
WSF_EXTERN bool | isPaused ()
WSF_EXTERN bool | setOptions (Options options)
WSF_EXTERN bool | setFlow (int flow)
WSF_EXTERN int | getFlow ()
WSF_EXTERN bool | setSupportedRESTHTTPMethods (std::vector< std::string > *methods)
WSF_EXTERN std::vector < std::string > * | getSupportedRESTHTTPMethods ()
WSF_EXTERN bool | setCurrentHandlerIndex (int index)
WSF_EXTERN int | getCurrentHandlerIndex ()
WSF_EXTERN int | getPausedHandlerIndex ()
WSF_EXTERN bool | setCurrentPhaseIndex (int index)
WSF_EXTERN int | getCurrentPhaseIndex ()
WSF_EXTERN int | getPausedPhaseIndex ()
WSF_EXTERN std::string | getCharsetEncoding ()
WSF_EXTERN bool | setCharsetEncodingStng (std::string str)
WSF_EXTERN int | getStatusCode ()
WSF_EXTERN bool | setStatusCode (int statusCode)
WSF_EXTERN std::vector < std::string > * | getHTTPAcceptCharsetRecordList ()
WSF_EXTERN std::vector < std::string > * | extractHTTPAcceptCharsetRecordList ()
WSF_EXTERN bool | setHTTPAcceptCharsetRecordList (std::vector< std::string > *recordList)
WSF_EXTERN std::vector < std::string > * | getHTTPAcceptLanguageRecordList ()
WSF_EXTERN std::vector < std::string > * | extractHTTPAcceptLanguageRecordList ()
WSF_EXTERN bool | setHTTPAcceptLanguageRecordList (std::vector< std::string > *acceptLanguageRecordList)
WSF_EXTERN std::string | getContentLanguage ()
WSF_EXTERN bool | setContentLanguage (std::string language)
WSF_EXTERN std::vector < std::string > * | getHTTPAcceptRecordList ()
WSF_EXTERN std::vector < std::string > * | extractHTTPAcceptRecordList ()
WSF_EXTERN bool | setHTTPAcceptRecordList (std::vector< std::string > *recordList)
WSF_EXTERN std::string | getTransferEncoding ()
WSF_EXTERN bool | setTransferEncoding (std::string encoding)
WSF_EXTERN std::string | getTransportURL ()
WSF_EXTERN bool | setTransportURL (std::string transportURL)
WSF_EXTERN bool | getNoContent ()
WSF_EXTERN bool | setNoContent (bool noContent)
WSF_EXTERN bool | getAuthFailed ()
WSF_EXTERN bool | setAuthFailed (bool status)
WSF_EXTERN bool | getRequiredAuthIsHTTP ()
WSF_EXTERN bool | setRequiredAuthIsHTTP (bool isHTTP)
WSF_EXTERN bool | setAuthType (std::string authType)
WSF_EXTERN std::string | getAuthType ()
WSF_EXTERN bool | incrementRef ()
virtual WSF_EXTERN | ~MessageContext ()

## Detailed Description

Class MessageContext captures all state information related to a message invocation. It holds information on the service and operation to be invoked as well as context hierarchy information related to the service and operation. It also has information on transports, that are to be used in invocation. The phase information is kept, along with the phase at which message invocation was paused as well as the handler in the phase from which the invocation is to be resumed.Message context would hold the request SOAP message along the out path and would capture response along the in path. Message context also has information on various engine specific information, such as if it should be doing MTOM, REST. As message context is inherited form context, it has the capability of storing user defined properties. In addition to the methods exposed by the MessageContex class, the underlying axis2 level message context can also be accessed if required.

The documentation for this class was generated from the following file:

- MessageContext.h